xine-lib: xv_frame_t Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
xv_frame_t Struct Reference

## Data Fields
vo_frame_t | vo_frame
double | ratio
int | req_width
int | req_height
int | format
int | width
int | height
int | xvformat
uint8_t * | image
xcb_shm_seg_t | shmseg
unsigned int | xv_format
unsigned int | xv_data_size
unsigned int | xv_width
unsigned int | xv_height
unsigned int | xv_pitches [3]
unsigned int | xv_offsets [3]
uint8_t * | base [3]
int | pitches [3]
XvImage * | image
XShmSegmentInfo | shminfo

## Field Documentation

## ◆ base

uint8_t * xv_frame_t::base

Referenced by xv_add_yuy2_emu(), xv_add_yuy2_emu(), xv_alloc_frame(), xv_alloc_frame(), xv_rem_yuy2_emu(), xv_rem_yuy2_emu(), xv_slice_yuy2_emu(), and xv_slice_yuy2_emu().

## ◆ format

int xv_frame_t::format

Referenced by xv_add_yuy2_emu(), xv_add_yuy2_emu(), xv_alloc_frame(), xv_alloc_frame(), xv_overlay_blend(), xv_overlay_blend(), xv_rem_yuy2_emu(), xv_rem_yuy2_emu(), xv_update_frame_format(), and xv_update_frame_format().

## ◆ height

int xv_frame_t::height

Referenced by xv_alloc_frame(), xv_alloc_frame(), xv_display_frame(), xv_display_frame(), xv_overlay_blend(), xv_overlay_blend(), xv_slice_yuy2_emu(), xv_slice_yuy2_emu(), xv_update_frame_format(), and xv_update_frame_format().

## ◆ image [1/2]

uint8_t* xv_frame_t::image

Referenced by create_ximage(), dispose_ximage(), xv_add_yuy2_emu(), xv_alloc_frame(), xv_alloc_frame(), xv_frame_dispose(), xv_frame_dispose(), xv_update_frame_format(), and xv_update_frame_format().

## ◆ image [2/2]

XvImage* xv_frame_t::image

## ◆ pitches

int xv_frame_t::pitches

Referenced by xv_add_yuy2_emu(), xv_add_yuy2_emu(), xv_rem_yuy2_emu(), xv_rem_yuy2_emu(), xv_slice_yuy2_emu(), and xv_slice_yuy2_emu().

## ◆ ratio

double xv_frame_t::ratio

Referenced by xv_display_frame(), xv_display_frame(), xv_update_frame_format(), and xv_update_frame_format().

## ◆ req_height

int xv_frame_t::req_height

Referenced by xv_alloc_frame(), xv_alloc_frame(), xv_update_frame_format(), and xv_update_frame_format().

## ◆ req_width

int xv_frame_t::req_width

Referenced by xv_alloc_frame(), xv_alloc_frame(), xv_update_frame_format(), and xv_update_frame_format().

## ◆ shminfo

XShmSegmentInfo xv_frame_t::shminfo

Referenced by xv_frame_dispose(), and xv_update_frame_format().

## ◆ shmseg

xcb_shm_seg_t xv_frame_t::shmseg

Referenced by create_ximage(), dispose_ximage(), and xv_frame_dispose().

## ◆ vo_frame

vo_frame_t xv_frame_t::vo_frame

Referenced by xv_add_yuy2_emu(), xv_add_yuy2_emu(), xv_alloc_frame(), xv_alloc_frame(), xv_display_frame(), xv_display_frame(), xv_flush_recent_frames(), xv_flush_recent_frames(), xv_frame_dispose(), xv_frame_dispose(), xv_overlay_blend(), xv_overlay_blend(), xv_rem_yuy2_emu(), xv_rem_yuy2_emu(), xv_slice_yuy2_emu(), xv_slice_yuy2_emu(), xv_update_frame_format(), and xv_update_frame_format().

## ◆ width

int xv_frame_t::width

Referenced by xv_alloc_frame(), xv_alloc_frame(), xv_display_frame(), xv_display_frame(), xv_overlay_blend(), xv_overlay_blend(), xv_slice_yuy2_emu(), xv_slice_yuy2_emu(), xv_update_frame_format(), and xv_update_frame_format().

## ◆ xv_data_size

unsigned int xv_frame_t::xv_data_size

Referenced by create_ximage().

## ◆ xv_format

unsigned int xv_frame_t::xv_format

Referenced by create_ximage().

## ◆ xv_height

unsigned int xv_frame_t::xv_height

Referenced by create_ximage(), xv_add_yuy2_emu(), and xv_update_frame_format().

## ◆ xv_offsets

unsigned int xv_frame_t::xv_offsets[3]

Referenced by create_ximage(), and xv_update_frame_format().

## ◆ xv_pitches

unsigned int xv_frame_t::xv_pitches[3]

Referenced by create_ximage(), xv_add_yuy2_emu(), and xv_update_frame_format().

## ◆ xv_width

unsigned int xv_frame_t::xv_width

Referenced by create_ximage(), and xv_update_frame_format().

## ◆ xvformat

int xv_frame_t::xvformat

Referenced by xv_alloc_frame(), xv_alloc_frame(), xv_update_frame_format(), and xv_update_frame_format().

The documentation for this struct was generated from the following files:

- xine-lib-1.2.13/src/video_out/video_out_xcbxv.c
- xine-lib-1.2.13/src/video_out/video_out_xv.c